Arch Wall/de: Difference between revisions

From FreeCAD Documentation
(Initialized as copy of English version)
 
(translated first section)
Line 9: Line 9:
==Beschreibung==
==Beschreibung==


Dieses Werkzeug erzeugt neue Wände oder baut Wände basierend auf einem anderen [[Part Module/de|Part]]-Objekt. Wird auf einem existierenden Objekt aufgebaut, kann eine Wand aufgesetzt werden auf:
This tool builds a Wall object from scratch or on top of any other [[Part Module|shape]]-based object. When built on top of an existing shape, a wall can be based on:
* linearen 2D-Objekten wie Linien, Drahtmodellen, Bögen oder Skizzen, wobei Dicke, Ausrichtung (rechts, links oder zentriert) und Höhe angepasst werden können
* A linear 2D object, such as lines, wires, arcs or sketches, in which case you can change thickness, alignment(right, left or centered) and height
* einer Ebene, wobei nur die Höhe angepasst werden kann
* A flat face, in which case you can only change the height
* einem Körper, wobei keine freien Parameter zur Verfügung stehen.
* A solid, in which case you can change nothing


[[Image:Arch Wall example.jpg]]
[[Image:Arch Wall example.jpg]]


''Das Beispiel oben zeigt Wände, welche jeweils auf einer Linie, einem Drahtgitter, einer Fläche, einem Körper, sowie einer Skizze aufgebaut werden.''
''The above example shows walls being built on top of a line, a wire, a face, a solid and a sketch''


Wände können auch Ergänzungen oder Aussparungen erhalten. Ergänzungen sind andere Objekte, deren Form mit der Wandform verschmolzen werden. Bei Aussparungen werden die Formen des anderen Objektes aus der Wand entfernt.
Ergänzungen und Aussparungen können mit dem {{KEY|[[Image:Arch Add.png|16px]] [[Arch Add]]}} bzw. {{KEY|[[Image:Arch Remove.png|16px]] [[Arch Remove]]}} Werkzeug erzeugt werden. Ergänzungen und Aussparungen haben keinen Einfluss auf Parameter wie Höhe oder Breite, die nach wie vor änderbar sind.


Wände können auch automatische Höhen erhalten, wenn sie Bestandteil komplexerer Objekte wie [[Arch Floor/de|Etagen]] sind.
Walls can also have additions or subtractions. Additions are other objects whose shapes are joined in this Wall's shape, while subtractions are subtracted. Additions and subtractions can be added with the {{KEY|[[Image:Arch Add.png|16px]] [[Arch Add]]}} and {{KEY|[[Image:Arch Remove.png|16px]] [[Arch Remove]]}} tools. Additions and subtractions have no influence over wall parameters such as height and width, which can still be changed.
Wird die Höhe der Wand mit 0 festgelegt, passt sich die Wandhöhe automatisch dem Eltern-Objekt an.


Wenn sich mehrere Wände überschneiden sollen, müssen sie in eine [[Arch Floor/de|Etage]] platziert werden, damit sich ihre Geometrien schneiden.
Walls can also have their height automatic, if they are included into a higher-level object such as [[Arch Floor|floors]]. The height must be kept at 0, then the wall will adopt the height specified in the parent object.


==Anwendung==
When several walls should intersect, you need to place them into a [[Arch Floor|floor]] to have their geometry intersected.


===Zeichnen einer neuen Wand===
==How to use==

===Drawing a wall from scratch===


# Press the {{KEY|[[Image:Arch Wall.png|16px]] [[Arch Wall]]}} button, or press {{KEY|W}} then {{KEY|A}} keys
# Press the {{KEY|[[Image:Arch Wall.png|16px]] [[Arch Wall]]}} button, or press {{KEY|W}} then {{KEY|A}} keys
Line 33: Line 34:
# Click a second point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click a second point on the 3D view, or type a [[Draft_Coordinates|coordinate]]


===Zeichnen einer Wand auf einem selektierten Objekt===
===Drawing a wall on top of a selected object===


# Select one or more base geometry objects (Draft object, sketch, etc)
# Select one or more base geometry objects (Draft object, sketch, etc)
Line 70: Line 71:
Arch.makeWall(baseline,0.1,2)
Arch.makeWall(baseline,0.1,2)


{{languages | {{en|Arch_Wall}} {{es|Arch_Wall/es}} {{fr|Arch_Wall/fr}} {{it|Arch_Wall/it}} }}
{{languages | {{en|Arch_Wall}} {{es|Arch_Wall/es}} {{fr|Arch_Wall/fr}} {{it|Arch_Wall/it}} {{jp|Arch_Wall/jp}}}}

Revision as of 18:21, 29 March 2013


Beschreibung

Dieses Werkzeug erzeugt neue Wände oder baut Wände basierend auf einem anderen Part-Objekt. Wird auf einem existierenden Objekt aufgebaut, kann eine Wand aufgesetzt werden auf:

  • linearen 2D-Objekten wie Linien, Drahtmodellen, Bögen oder Skizzen, wobei Dicke, Ausrichtung (rechts, links oder zentriert) und Höhe angepasst werden können
  • einer Ebene, wobei nur die Höhe angepasst werden kann
  • einem Körper, wobei keine freien Parameter zur Verfügung stehen.

Das Beispiel oben zeigt Wände, welche jeweils auf einer Linie, einem Drahtgitter, einer Fläche, einem Körper, sowie einer Skizze aufgebaut werden.

Wände können auch Ergänzungen oder Aussparungen erhalten. Ergänzungen sind andere Objekte, deren Form mit der Wandform verschmolzen werden. Bei Aussparungen werden die Formen des anderen Objektes aus der Wand entfernt. Ergänzungen und Aussparungen können mit dem Arch Add bzw. Arch Remove Werkzeug erzeugt werden. Ergänzungen und Aussparungen haben keinen Einfluss auf Parameter wie Höhe oder Breite, die nach wie vor änderbar sind.

Wände können auch automatische Höhen erhalten, wenn sie Bestandteil komplexerer Objekte wie Etagen sind. Wird die Höhe der Wand mit 0 festgelegt, passt sich die Wandhöhe automatisch dem Eltern-Objekt an.

Wenn sich mehrere Wände überschneiden sollen, müssen sie in eine Etage platziert werden, damit sich ihre Geometrien schneiden.

Anwendung

Zeichnen einer neuen Wand

  1. Press the Arch Wall button, or press W then A keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click a second point on the 3D view, or type a coordinate

Zeichnen einer Wand auf einem selektierten Objekt

  1. Select one or more base geometry objects (Draft object, sketch, etc)
  2. Press the Arch Wall button, or press the W then A keys
  3. Adjust needed properties such as height or width.

Options

  • The height, width and alignment of a wall can be set during drawing, via the task panel
  • When snapping a wall to an existing wall, both walls will be joined into one. The way the two walls are joined depends on their properties: If they have the same width, height and alignment, the resulting wall will be one object based on a sketch made of several segments. Otherwise, the latter wall will be added to the first one as addition.
  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press ESC or the Cancel button to abort the current command.
  • Double-clicking on the wall in the tree view after it is created allows you to enter edit mode and access and modify its additions and subtractions

Properties

  • DatenWidth: The width of the wall
  • DatenHeight: The height of the wall
  • DatenAlignment: The alignment of the wall on its baseline

Scripting

The Wall tool can by used in macros and from the python console by using the following function:

makeWall (obj,[width],[height],[align],[name]): creates a wall based on the given object, which 
can be a sketch, a draft object, a face or a solid. align can be "Center","Left" or "Right"

Example:

import FreeCAD, Draft, Arch
baseline = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
Arch.makeWall(baseline,0.1,2)
Available translations of this page: Template:Jp